Page MenuHomePhabricator

Update ContentTranslation notifications to new language and format
Closed, ResolvedPublic

Description

Event Timeline

Esanders created this task.Feb 3 2016, 5:44 PM
Esanders raised the priority of this task from to Needs Triage.
Esanders updated the task description. (Show Details)
Esanders added a subscriber: Esanders.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptFeb 3 2016, 5:44 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript

It seems as if every other notification wraps everything in a link, whereas this message is only partially linked.

Esanders renamed this task from ContentTranslation notifications use the wrong text colour when read to ContentTranslation notifications not fully linked so showing black text.Feb 3 2016, 5:49 PM
Esanders set Security to None.

We should clear up the API with T125682. From the UI it is not clear if creating partially linked messages should be allowed.

SBisson added a subscriber: SBisson.EditedFeb 3 2016, 5:58 PM

The CX notifications will be updated soon with messages from this spreadsheet.

So they all have one target which means we should change the API to only allow plain text to be passed, not HTML, or at least specify that <a> shouldn't be used.

Yes, we try to standardize them to

  • contain no links
  • have minimum formatting, we are defining what should be bold or quoted here: T121724: Make page titles bold in notifications
  • have one primary link (we make it wrap the entire notification in the fly-out and surface it as the first action on Special:Notifications)
  • have 0 to many secondary actions

So they all have one target which means we should change the API to only allow plain text to be passed, not HTML, or at least specify that <a> shouldn't be used.

Yes, restricting the markup that can be returned is certainly an option once the standards are solid and the extensions are migrated.

SBisson renamed this task from ContentTranslation notifications not fully linked so showing black text to Update ContentTranslation notifications to new language and format.Feb 3 2016, 7:07 PM
SBisson triaged this task as Normal priority.

@Esanders I'm re-purposing your ticket to update the CX notifications, I hope you don't mind.

Amire80 added a subscriber: Amire80.Feb 7 2016, 4:45 PM

This sounds like a fairly simple thing to do, but I know relatively little about the internals of Notifications. Can anybody please explain what needs to be done? Does the actual sentence have to change? Or only the part that is linked? Thanks. Also CCing @Pginer-WMF who knows both CX and Notifications, and can provide input if needed.

Amire80 moved this task from Needs Triage to CX8 on the ContentTranslation board.Feb 8 2016, 9:19 AM
SBisson claimed this task.Feb 8 2016, 11:45 AM

The copy for many notifications was reviewed to make it more consistent. Regarding Content Translation, the final text is as follows (note it won't contain in-line links in the text):

For Milestone notifications:

  • Congratulations on your first translation! Check your contributions and find more pages to translate.
    • This will link to Special:MyContributions.
  • Congratulations for your tenth translation! You are becoming an expert translator. Keep up the good work!
    • This will link to Special:ContentTranslation.
  • You just made 100 translations! That is a remarkable achievement. Share the word to other editors.
    • This will link to Special:ContentTranslation.

For notification about suggestions:

  • Based on your previous translation of '''<last translated page title>''', new suggestions are now available.
    • This will link to Special:ContentTranslation (with the parameter that makes it show the suggestions view).

Change 269139 had a related patch set uploaded (by Sbisson):
Rephrase notifications

https://gerrit.wikimedia.org/r/269139

santhosh moved this task from Backlog to QA on the LE-CX8-Sprint 2 board.

Change 269139 merged by jenkins-bot:
Rephrase notifications

https://gerrit.wikimedia.org/r/269139

Arrbee moved this task from QA to Done on the LE-CX8-Sprint 2 board.Feb 25 2016, 6:16 PM

Thanks to @Amire80 - checked in production - the specs are correctly implemented.

The issue with not being able to use Special:ContentTranslation in betalabs was filed as T129284: Content Translation fails to load (and publish) articles at en.wikipedia.beta.wmflabs.org.

jmatazzoni closed this task as Resolved.Mar 14 2016, 7:40 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptDec 13 2018, 11:00 PM